-- SID Number for reputatuion
-- [0] Unknown/None
-- [1] hated
-- [2] hostile
-- [3] unfriendly
-- [4] neutral
-- [5] friendly
-- [6] honored
-- [7] revered
-- [8] exalted
local L = AceLibrary("AceLocale-2.2"):new("Dailies")
local BZ = AceLibrary("LibBabble-Zone-3.0"):GetLookupTable()
local BF = AceLibrary("LibBabble-Faction-3.0"):GetLookupTable()

DailesDATE = "%A, %B %d, %Y"; DailiesMONTH = "%m"; DailiesDAY = "%d"
if type(DailesDATE) == "string" then
	DailesDATE = date(DailesDATE)
	DailiesMONTH = tonumber(date(DailiesMONTH))
	DailiesDAY = tonumber(date(DailiesDAY))
	DailiesMONTHDAY = DailiesMONTH.."/"..DailiesDAY
else
	DailesDATE = DATE()
end

hasHerbalism = nil; hasMining = nil; hasSkinning = nil;

SkyguardValue = 0; NetherwingValue = 0; CookingValue = 0; OgrilaValue = 0; BGPvPValue = 0; FishingValue = 0;
NInstanceValue = 0; HInstanceValue = 0; HolidayValue = 0; SSOValue = 0; WorldPvPValue = 0; SSOCounter = 0;	TradeskillCounter = 0

DailyQuestsList = {
	-- Battlegrounds
	[L["Call to Arms: Warsong Gulch"]] = {icon = "Interface\\Icons\\INV_Misc_Rune_07", area = BZ["Warsong Gulch"], group = "BGPvP", SID = "None:0", ["honor"] = 420, gold = 119900},
	[L["Call to Arms: Arathi Basin"]] = {icon = "Interface\\Icons\\INV_Jewelry_Amulet_07", area = BZ["Arathi Basin"], group = "BGPvP", SID = "None:0", ["honor"] = 420, gold = 119900},
	[L["Call to Arms: Eye of the Storm"]] = {icon = "Interface\\Icons\\Spell_Nature_EyeOfTheStorm", area = BZ["Eye of the Storm"], group = "BGPvP", SID = "None:0", ["honor"] = 420, gold = 119900},
	[L["Call to Arms: Alterac Valley"]] = {icon = "Interface\\Icons\\INV_Jewelry_Necklace_21", area = BZ["Alterac Valley"], group = "BGPvP", SID = "None:0", ["honor"] = 420, gold = 119900},
	
	-- Dungeon Instances
	[L["Wanted: Tempest-Forge Destroyers"]] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Destroyer.tga", loc = BZ["The Mechanar"], area = BZ["The Mechanar"], group = "NInstance", SID = "None:0", ["rep"] = {BF["The Sha'tar"]..":250", BF["The Consortium"]..":250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --The Mechanar
	[L["Wanted: Arcatraz Sentinels"]] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Sentinel.tga", loc = BZ["The Arcatraz"], area = BZ["The Arcatraz"], group = "NInstance", SID = "None:0", ["rep"] = {BF["The Sha'tar"]..":250", BF["The Consortium"]..":250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Arcatraz
	[L["Wanted: Coilfang Myrmidons"]] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Myrmidon.tga", loc = BZ["The Steamvault"], area = BZ["The Steamvault"], group = "NInstance", SID = "None:0", ["rep"] = {BF["Cenarion Expedition"]..":250", BF["The Consortium"]..":250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Steamvault
	[L["Wanted: Rift Lords"]] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Rift.tga", loc = BZ["The Black Morass"], area = BZ["The Black Morass"], group = "NInstance", SID = "None:0", ["rep"] = {BF["Keepers of Time"]..":250", BF["The Consortium"]..":250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Black Morass
	[L["Wanted: Malicious Instructors"]] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Instructor.tga", loc = BZ["Shadow Labyrinth"], area = BZ["Shadow Labyrinth"], group = "NInstance", SID = "None:0", ["rep"] = {BF["Lower City"]..":250", BF["The Consortium"]..":250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Shadow Labyrinth
	[L["Wanted: Sunseeker Channelers"]] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Instructor.tga", loc = BZ["The Botanica"], area = BZ["The Botanica"], group = "NInstance", SID = "None:0", ["rep"] = {BF["The Sha'tar"]..":250", BF["The Consortium"]..":250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Botanica

	-- Heroic Instances
	[L["Wanted: Pathaleon's Projector"]] = {icon = "Interface\\Icons\\INV_Misc_EngGizmos_08", loc = BZ["The Mechanar"], area = BZ["The Mechanar"], group = "HInstance", SID = "The Sha'tar:6", ["rep"] = {BF["The Sha'tar"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Mechnar
	[L["Wanted: The Heart of Quagmirran"]] = {icon = "Interface\\Icons\\INV_Misc_Organ_02", loc = BZ["The Slave Pens"], area = BZ["The Slave Pens"], group = "HInstance", SID = "Cenarion Expedition:6", ["rep"] = {BF["Cenarion Expedition"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Slave Pens
	[L["Wanted: A Black Stalker Egg"]] = {icon = "Interface\\Icons\\INV_Misc_ShadowEgg", loc = BZ["The Underbog"], area = BZ["The Underbog"], group = "HInstance", SID = "Cenarion Expedition:6", ["rep"] = {BF["Cenarion Expedition"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Underbog
	[L["Wanted: The Epoch Hunter's Head"]] = {icon = "Interface\\Icons\\INV_Misc_Head_Dragon_Black", loc = BZ["Old Hillsbrad Foothills"],  area = BZ["Old Hillsbrad Foothills"], group = "HInstance", SID = "Keepers of Time:6", ["rep"] = {BF["Keepers of Time"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Durnholde
	[L["Wanted: Shaffar's Wondrous Pendant"]] = {icon = "Interface\\Icons\\INV_Jewelry_Amulet_07", loc = BZ["Mana-Tombs"],  area = BZ["Mana-Tombs"], group = "HInstance", SID = "Lower City:6", ["rep"] = {BF["Lower City"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Mana Tombs
	[L["Wanted: The Headfeathers of Ikiss"]] = {icon = "Interface\\Icons\\INV_Feather_06", loc = BZ["Sethekk Halls"], area = BZ["Sethekk Halls"],  group = "HInstance", SID = "Lower City:6", ["rep"] = {BF["Lower City"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Sethekk Halls	
	[L["Wanted: Murmur's Whisper"]] = {icon = "Interface\\Icons\\INV_Elemental_Mote_Air01", loc = BZ["Shadow Labyrinth"], area = BZ["Shadow Labyrinth"], group = "HInstance", SID = "Lower City:6", ["rep"] = {BF["Lower City"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Shadow Labs
	[L["Wanted: The Scroll of Skyriss"]] = {icon = "Interface\\Icons\\INV_Misc_SymbolofKings_01", loc = BZ["The Arcatraz"], area = BZ["The Arcatraz"], group = "HInstance", SID = "The Sha'tar:6", ["rep"] = {BF["The Sha'tar"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Arcatraz
	[L["Wanted: The Exarch's Soul Gem"]] = {icon = "Interface\\Icons\\INV_Misc_Gem_Pearl_07", loc = BZ["Auchenai Crypts"], area = BZ["Auchenai Crypts"],  group = "HInstance", SID = "Lower City:6", ["rep"] = {BF["Lower City"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Auchenai Crypt
	[L["Wanted: Aeonus's Hourglass"]] = {icon = "Interface\\Icons\\INV_Gizmo_KhoriumPowerCore", loc = BZ["The Black Morass"], area = BZ["The Black Morass"], group = "HInstance", SID = "Keepers of Time:6", ["rep"] = {BF["Keepers of Time"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Black Morasses
	[L["Wanted: A Warp Splinter Clipping"]] = {icon = "Interface\\Icons\\INV_Misc_Branch_01", loc = BZ["The Botanica"], area = BZ["The Botanica"], group = "HInstance", SID = "The Sha'tar:6", ["rep"] = {BF["The Sha'tar"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Botanica
	[L["Wanted: The Warlord's Treatise"]] = {icon = "Interface\\Icons\\INV_Misc_Book_05", loc = BZ["The Steamvault"], area = BZ["The Steamvault"], group = "HInstance", SID = "Cenarion Expedition:6", ["rep"] = {BF["Cenarion Expedition"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Steam Vault
	
	-- Cooking
	[L["Revenge is Tasty"]] = {icon = "Interface\\Icons\\INV_Misc_Food_46", area = BZ["Terokkar Forest"], group = "Cooking", SID = "None:0", ["rewards"] = {"33844:1", "33857:1"}, gold = 75900},
	[L["Manalicious"]] = {icon = "Interface\\Icons\\INV_Misc_Food_58", area = BZ["Netherstorm"], group = "Cooking", SID = "None:0", ["rewards"] = {"33844:1", "33857:1"}, gold = 75900},
	[L["Soup for the Soul"]] = {icon = "Interface\\Icons\\INV_Misc_Food_64", area = BZ["Nagrand"], group = "Cooking", SID = "None:0", ["rewards"] = {"33844:1", "33857:1"}, gold = 75900},
	[L["Super Hot Stew"]] = {icon = "Interface\\Icons\\INV_Misc_Food_48", area = BZ["Blade's Edge Mountains"], group = "Cooking", SID = "None:0", ["rewards"] = {"33844:1", "33857:1"}, gold = 75900},
	
	-- Sha'tari Skyguard
	[L["Wrangle More Aether Rays!"]] = {icon = "Interface\\Icons\\INV_Misc_Noose_01", area = BZ["Blade's Edge Mountains"], group = "Sha'tari Skyguard", SID = "Sha'tari Skyguard:4", ["rep"] = {BF["Ogri'la"]..":350", BF["Sha'tari Skyguard"]..":350"}, ["rewards"] = {"32569:15"}, gold = 119900},
	[L["Fires Over Skettis"]] = {icon = "Interface\\Icons\\INV_Misc_Bomb_07", area = BZ["Terokkar Forest"], group = "Sha'tari Skyguard", SID = "Sha'tari Skyguard:4", ["rep"] = {BF["Sha'tari Skyguard"]..":350"}, gold = 119900},
	[L["Escape from Skettis"]] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\ES.tga", area = BZ["Terokkar Forest"], group = "Sha'tari Skyguard", SID = "Sha'tari Skyguard:4", ["rep"] = {BF["Sha'tari Skyguard"]..":350"}, gold = 91000},
	[L["Bomb Them Again!"]] = {icon = "Interface\\Icons\\INV_Misc_Bomb_04", area = BZ["Blade's Edge Mountains"], group = "Sha'tari Skyguard", SID = "Sha'tari Skyguard:4", ["rep"] = {BF["Ogri'la"]..":500", BF["Sha'tari Skyguard"]..":500"}, ["rewards"] = {"32569:15"}, gold = 119900},
	
	-- Ogri'la
	[L["The Relic's Emanation"]] = {icon = "Interface\\Icons\\INV_Misc_Apexis_Shard", area = BZ["Blade's Edge Mountains"], group = "Ogri'la", SID = "Ogri'la:4", ["rep"] = {BF["Ogri'la"]..":350", BF["Sha'tari Skyguard"]..":350"}, ["rewards"] = {"32569:15"}, gold = 91000},
	[L["Banish More Demons"]] = {icon = "Interface\\Icons\\INV_Misc_Gem_AzureDraenite_02", area = BZ["Blade's Edge Mountains"], group = "Ogri'la", SID = "Ogri'la:6", ["rep"] = {BF["Ogri'la"]..":350", BF["Sha'tari Skyguard"]..":350"}, ["rewards"] = {"32569:15", "32777:1"}, gold = 119900},

	-- Netherwing
	[L["The Deadliest Trap Ever Laid"]] = {icon = "Interface\\Icons\\Ability_Warrior_EndlessRage", area = BZ["Shadowmoon Valley"], group = "Netherwing", SID = "Netherwing:7", ["rep"] = {BF["Netherwing"]..":500"}, gold = 182800},
	[L["The Not-So-Friendly Skies..."]] = {icon = "Interface\\Icons\\INV_Bijou_Blue", area = BZ["Shadowmoon Valley"], group = "Netherwing", SID = "Netherwing:4", ["rep"] = {BF["Netherwing"]..":250"}, gold = 119900},
	[L["The Booterang: A Cure For The Common Worthless Peon"]] = {icon = "Interface\\Icons\\INV_Boots_Chain_01", area = BZ["Shadowmoon Valley"], group = "Netherwing", SID = "Netherwing:5", ["rep"] = {BF["Netherwing"]..":350"}, gold = 119900},
	[L["Picking Up The Pieces..."]] = {icon = "Interface\\Icons\\INV_Crate_04", area = BZ["Shadowmoon Valley"], group = "Netherwing", SID = "Netherwing:5", ["rep"] = {BF["Netherwing"]..":350"}, gold = 182800},
	[L["Netherwing Crystals"]] = {icon = "Interface\\Icons\\INV_Misc_Gem_AzureDraenite_02", area = BZ["Shadowmoon Valley"], group = "Netherwing", SID = "Netherwing:5", ["rep"] = {BF["Netherwing"]..":250"}, gold = 119900},
	[L["Dragons are the Least of Our Problems"]] = {icon = "Interface\\Icons\\Ability_Hunter_Pet_Ravager", area = BZ["Shadowmoon Valley"], group = "Netherwing", SID = "Netherwing:5", ["rep"] = {BF["Netherwing"]..":350"}, gold = 119900},
	[L["Disrupting the Twilight Portal"]] = {icon = "Interface\\Icons\\INV_Armor_Shield_Naxxramas_D_01", SID = "Netherwing:6", ["rep"] = {BF["Netherwing"]..":500"}, area = BZ["Nagrand"], group = "Netherwing", gold = 119900},
	[L["A Slow Death"]] = {icon = "Interface\\Icons\\INV_Misc_Food_60", area = BZ["Shadowmoon Valley"], group = "Netherwing", SID = "Netherwing:4", ["rep"] = {BF["Netherwing"]..":250"}, gold = 119900},

	-- ***** Patch 2.4 Dailies List	*****
	-- Heroic Daily
	[L["Wanted: The Signet Ring of Prince Kael'thas"]] = {icon = "Interface\\Icons\\INV_Jewelry_Ring_55", area = BZ["Magisters' Terrace"], loc = BZ["Magisters' Terrace"], group = "HInstance", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":350", BF["The Consortium"]..":350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Magisters' Terrace
	-- Non Heroic Daily
	[L["Wanted: Sisters of Torment"]] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\SisterofTorment.tga", area = BZ["Magisters' Terrace"], loc = BZ["Magisters' Terrace"], group = "NInstance", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250", BF["The Consortium"]..":250"}, ["rewards"] = {"29460:1"}, gold = 163900}, -- Magisters' Terrace

	-- Fishing
	[L["Shrimpin' Ain't Easy"]] = {icon = "Interface\\Icons\\INV_Misc_Fish_15", area = BZ["Zangarmarsh"], group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},
	[L["Bait Bandits"]] = {icon = "Interface\\Icons\\INV_Misc_Fish_43", area = BZ["Terokkar Forest"], group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},
	[L["Felblood Fillet"]] = {icon = "Interface\\Icons\\INV_Misc_Fish_38", area = BZ["Shadowmoon Valley"], group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},
	[L["The One That Got Away"]] = {icon = "Interface\\Icons\\INV_Misc_Fish_45", area = BZ["Nagrand"], group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},

	-- Shattered Sun Offensive [Final Quests Only]
	[L["Blood for Blood"]] = {icon = "Interface\\Icons\\INV_Qiraj_JewelEngraved", area = BZ["Hellfire Peninsula"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, ["rewards"] = {"30809:5", "30810:5"}, gold = 119900},
	[L["Blast the Gateway"]] = {icon = "Interface\\Icons\\INV_Ammo_FireTar", area = BZ["Hellfire Peninsula"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, ["rewards"] = {"35232:1"}, gold = 101000},
	[L["Sunfury Attack Plans"]] = {icon = "Interface\\Icons\\INV_Scroll_04", area = BZ["Netherstorm"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, ["rewards"] = {"35232:1"}, gold = 101000},
	[L["The Multiphase Survey"]] = {icon = "Interface\\Icons\\INV_Gizmo_NewGoggles", area = BZ["Nagrand"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":150"}, gold = 91000},
	[L["Arm the Wards!"]] = {icon = "Interface\\Icons\\INV_Misc_Dust_03", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":150"}, gold = 91000},
	[L["Further Conversions"]] = {icon = "Interface\\Icons\\INV_Misc_Gem_Variety_02", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":150"}, gold = 91000},
	[L["Ata'mal Armaments"]] = {icon = "Interface\\Icons\\INV_Ore_Khorium_01", area = BZ["Shadowmoon Valley"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":350"}, ["rewards"] = {"34538:1", "34539:1"}, gold = 182800},
	[L["Disrupt the Greengill Coast"]] = {icon = "Interface\\Icons\\Spell_Nature_WispSplode", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, gold = 119900},
	[L["Don't Stop Now...."]] = {icon = "Interface\\Icons\\INV_Ore_Iron_01", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, gold = 119900},
	[L["Keeping the Enemy at Bay"]] = {icon = "Interface\\Icons\\Spell_Fire_Fire", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, gold = 75900},
	[L["Crush the Dawnblade"]] = {icon = "Interface\\Icons\\INV_Misc_Gem_Bloodstone_02", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, gold = 119900},
	[L["Maintaining the Sunwell Portal"]] = {icon = "Interface\\Icons\\INV_Gizmo_KhoriumPowerCore", area = BZ["Blade's Edge Mountains"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, ["rewards"] = {"35232:1"}, gold = 101000},
	[L["Know Your Ley Lines"]] = {icon = "Interface\\Icons\\INV_Scroll_02", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, ["rewards"] = {"35230:1"}, gold = 119900},
	[L["The Air Strikes Must Continue"]] = {icon = "Interface\\Icons\\Spell_Arcane_StarFire", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":150"}, gold = 91000},
	[L["Rediscovering Your Roots"]] = {icon = "Interface\\Icons\\INV_Misc_Herb_15", area = BZ["Terokkar Forest"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, ["rewards"] = {"35232:1"}, gold = 138800},
	[L["Open for Business"]] = {icon = "Interface\\Icons\\INV_Misc_Branch_01", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, ["rewards"] = {"34537:1"}, gold = 119900},
	[L["The Battle Must Go On"]] = {icon = "Interface\\Icons\\INV_BRD_Banner", area = BZ["Isle of Quel'Danas"], group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {BF["Shattered Sun Offensive"]..":250"}, gold = 101000},	
	}
